Bug 555510 - FTBFS linphone-2.1.1-4.fc12
FTBFS linphone-2.1.1-4.fc12
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: linphone (Show other bugs)
13
All Linux
high Severity high
: ---
: ---
Assigned To: Rakesh Pandit
Fedora Extras Quality Assurance
http://linux.dell.com/files/fedora/Fi...
: Triaged
Depends On: 490046
Blocks: F13FTBFS
  Show dependency treegraph
 
Reported: 2010-01-14 12:37 EST by FTBFS
Modified: 2010-03-22 22:22 EDT (History)
3 users (show)

See Also:
Fixed In Version: linphone-3.2.1-2.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-22 22:22:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
root.log (515.17 KB, text/plain)
2010-01-14 12:37 EST, FTBFS
no flags Details
build.log (41.20 KB, text/plain)
2010-01-14 12:37 EST, FTBFS
no flags Details
mock.log (955 bytes, text/plain)
2010-01-14 12:37 EST, FTBFS
no flags Details
root.log (738.93 KB, text/plain)
2010-01-14 12:37 EST, FTBFS
no flags Details
build.log (43.77 KB, text/plain)
2010-01-14 12:37 EST, FTBFS
no flags Details
mock.log (963 bytes, text/plain)
2010-01-14 12:37 EST, FTBFS
no flags Details
Spec file and patches to build linphone-3.2.1 (4.25 KB, application/x-gzip)
2010-03-17 06:56 EDT, Quentin Armitage
no flags Details

  None (edit)
Description FTBFS 2010-01-14 12:37:03 EST
linphone-2.1.1-4.fc12.src.rpm Failed To Build From Source against the rawhide tree.  See http://fedoraproject.org/wiki/FTBFS for more information.
If you believe this is actually a bug in another package, do NOT change the component in this bug or close this bug.  Instead, add the appropriate bug number from the other package to the "Depends on" line in this bug.  If the other package does not yet have a bug created that you think matches, please create one.  Doing so helps us properly track bugs and their dependencies, just as we track package dependencies.  (If you close this bug, and the other package is not fixed before the next FTBFS run, a new bug will get created.  Please follow the above advice to avoid such duplication.)
Comment 1 FTBFS 2010-01-14 12:37:07 EST
Created attachment 384324 [details]
root.log

root.log for i386
Comment 2 FTBFS 2010-01-14 12:37:08 EST
Created attachment 384325 [details]
build.log

build.log for i386
Comment 3 FTBFS 2010-01-14 12:37:10 EST
Created attachment 384326 [details]
mock.log

mock.log for i386
Comment 4 FTBFS 2010-01-14 12:37:12 EST
Created attachment 384327 [details]
root.log

root.log for x86_64
Comment 5 FTBFS 2010-01-14 12:37:13 EST
Created attachment 384328 [details]
build.log

build.log for x86_64
Comment 6 FTBFS 2010-01-14 12:37:14 EST
Created attachment 384329 [details]
mock.log

mock.log for x86_64
Comment 7 Rakesh Pandit 2010-01-17 23:37:48 EST
Either linphone will be split or removed form fedora. Discussion on dependent ticket.

Thanks,
Comment 8 Alex Lancaster 2010-03-07 01:57:15 EST
Rakesh, until this is definitely moved to RPM Fusion something needs to be done about linphone in branched/F-13 now as it's currently causing broken deps:

Broken deps for i386
----------------------------------------------------------

	linphone-2.1.1-4.fc12.i686 requires libortp.so.7

Either try to get the 2.1.1 version build working for F-13 temporarily, or as rel-eng to block this if the plan is definitely move it to RPM Fusion.

Leaving it broken like this in limbo is bad.

http://koji.fedoraproject.org/mash/branched-20100306/logs/depcheck
Comment 9 Bug Zapper 2010-03-15 09:59:26 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Quentin Armitage 2010-03-17 06:56:31 EDT
Created attachment 400712 [details]
Spec file and patches to build linphone-3.2.1

The attached spec file and patches allow linphone to be built on F-13.

Just as with linphone-2.1.1, there is no video in thhe build.

I have tested the build, and linphone appears to work OK.
Comment 11 Rakesh Pandit 2010-03-17 08:52:49 EDT
Thanks Alex for pointing this out and thanks Quentin for supplying patches. I will have a look today.

@Quentin applying your patches build failed on F13:

 -DINET6 -Wall -O2 -g  -Werror  -pthread -D_REENTRANT  -rdynamic  -o mtudiscover mtudiscover.o ../src/libmediastreamer.la -lortp -lpthread   -lasound  -lspeex   -lspeexdsp   -lgsm   -pthread -lpthread -lrt -ldl
libtool: link: gcc -I.. -D_REENTRANT -DORTP_INET6 -DORTP_INET6 -O2 -g -march=i386 -mtune=i686 -DINET6 -Wall -O2 -g -Werror -pthread -D_REENTRANT -rdynamic -o .libs/echo echo.o -pthread  ../src/.libs/libmediastreamer.so -lortp -lasound -lspeex -lspeexdsp -lgsm -lpthread -lrt -ldl -pthread
gcc: ../src/.libs/libmediastreamer.so: No such file or directory
make[4]: *** [echo] Error 1
make[4]: *** Waiting for unfinished jobs....
libtool: link: gcc -I.. -D_REENTRANT -DORTP_INET6 -DORTP_INET6 -O2 -g -march=i386 -mtune=i686 -DINET6 -Wall -O2 -g -Werror -pthread -D_REENTRANT -rdynamic -o .libs/ring ring.o -pthread  ../src/.libs/libmediastreamer.so -lortp -lasound -lspeex -lspeexdsp -lgsm -lpthread -lrt -ldl -pthread
gcc: ../src/.libs/libmediastreamer.so: No such file or directory
make[4]: *** [ring] Error 1
libtool: link: gcc -I.. -D_REENTRANT -DORTP_INET6 -DORTP_INET6 -O2 -g -march=i386 -mtune=i686 -DINET6 -Wall -O2 -g -Werror -pthread -D_REENTRANT -rdynamic -o .libs/mtudiscover mtudiscover.o -pthread  ../src/.libs/libmediastreamer.so -lortp -lasound -lspeex -lspeexdsp -lgsm -lpthread -lrt -ldl -pthread
gcc: ../src/.libs/libmediastreamer.so: No such file or directory
make[4]: *** [mtudiscover] Error 1
make[4]: Leaving directory `/home/rakesh/rpmbuild/BUILD/linphone-3.2.1/mediastreamer2/tests'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/home/rakesh/rpmbuild/BUILD/linphone-3.2.1/mediastreamer2'
make[2]: *** [all] Error 2
make[2]: Leaving directory `/home/rakesh/rpmbuild/BUILD/linphone-3.2.1/mediastreamer2'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/rakesh/rpmbuild/BUILD/linphone-3.2.1'
make: *** [all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.W9UzoT (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.W9UzoT (%build)
[rakesh@localhost SPECS]$ 


May you check it again and if possible do a koji build and pass me working srpm. Meanwhile I will have a quick look.


Regards,
Rakesh Pandit
Comment 12 Quentin Armitage 2010-03-17 09:45:57 EDT
I've never done a koji build before, but am very happy to do that.

Can you give my brief instructions about how to do that, or alternatively point me to some instructions hoe to do it?

Many thanks,
Quentin Armitage
Comment 13 Rakesh Pandit 2010-03-17 09:52:45 EDT
(In reply to comment #12)
> I've never done a koji build before, but am very happy to do that.
> 
> Can you give my brief instructions about how to do that, or alternatively point
> me to some instructions hoe to do it?
> 
> Many thanks,
> Quentin Armitage    

http://fedoraproject.org/wiki/PackageMaintainers/UsingKoji has instructions. You can catch me on #fedora-devel with rakesh nick, in case you are around.

-
rakesh
Comment 14 Rakesh Pandit 2010-03-18 13:37:52 EDT
Thanks Quentin Armitage for patching up and Jasse Keating for building. I will push it to bodhi and request rel-eng to include the build in f13.
Comment 15 Fedora Update System 2010-03-18 13:38:22 EDT
linphone-3.2.1-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/linphone-3.2.1-2.fc13
Comment 16 Fedora Update System 2010-03-22 22:22:39 EDT
linphone-3.2.1-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.